### Enumeration

# Soup Encoding

since: 3.0

#### Declaration

    enum Soup.Encoding

#### Description [src]

How a message body is encoded for transport.

Available since: 3.0

#### Members

`SOUP_ENCODING_UNRECOGNIZED`

  Unknown / error.

  - Value: `0`
  - Nickname: `unrecognized`
  - Available since: 3.0
`SOUP_ENCODING_NONE`

  No body is present (which is not the same as a 0-length body, and only occurs in certain places)

  - Value: `1`
  - Nickname: `none`
  - Available since: 3.0
`SOUP_ENCODING_CONTENT_LENGTH`

  Content-Length encoding.

  - Value: `2`
  - Nickname: `content-length`
  - Available since: 3.0
`SOUP_ENCODING_EOF`

  Response body ends when the connection is closed.

  - Value: `3`
  - Nickname: `eof`
  - Available since: 3.0
`SOUP_ENCODING_CHUNKED`

  Chunked encoding (currently only supported for response)

  - Value: `4`
  - Nickname: `chunked`
  - Available since: 3.0
`SOUP_ENCODING_BYTERANGES`

  Multipart/byteranges (Reserved for future use: NOT CURRENTLY IMPLEMENTED)

  - Value: `5`
  - Nickname: `byteranges`
  - Available since: 3.0